Skip to main content

public/get-instruments

GET 

/public/get-instruments

Provides information on all supported instruments (e.g. BTCUSD-PERP).
Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0. Instruments (data array).
    data object[]
    List of instruments.
  • Array [
  • symbol string

    Instrument name, e.g. BTCUSD-PERP

    inst_type string

    Instrument type, e.g. PERPETUAL_SWAP

    display_name string

    Display name, e.g. BTCUSD Perpetual

    base_ccy string

    Base currency, e.g. BTC

    quote_ccy string

    Quote currency, e.g. USD

    quote_decimals int32

    Minimum decimal place for price field

    quantity_decimals int32

    Minimum decimal place for qty field

    price_tick_size decimal

    Minimum price tick size

    qty_tick_size decimal

    Minimum trading quantity / tick size

    max_leverage decimal

    Max leverage of the product

    tradable boolean

    True or false

    expiry_timestamp_ms int64

    Expiry timestamp in milliseconds

    beta_product boolean

    Whether this is a beta product.

    underlying_symbol string

    Underlying symbol

    product_type string

    Product type of the instrument. Possible values: COMMODITIES, EQUITY_IND, CURRENCIES, DIGITAL_CURRENCIES, EVENTS, EQUITY, PRE_IPO. Only returned if applicable.

    contract_size decimal

    Contract size for the instrument.

    margin_buy_enabled boolean

    Whether margin buying is enabled for this instrument.

    margin_sell_enabled boolean

    Whether margin selling is enabled for this instrument.

    event_details object
    Event details for prediction market instruments. Structure is flexible and defined by external systems.
    property name* any

    Event details for prediction market instruments. Structure is flexible and defined by external systems.

    last_updated_time int64

    Unix timestamp in nanoseconds when the instrument was last updated.

  • ]
  • next_cursor string

    Cursor for pagination. Use this value in the cursor parameter of the next request.

    message string

    Present when code !== 0.

    original string

    Present when code !== 0.